========================================================================
MemHT Portal - CHANGES
========================================================================
Copyright (C) 2007-2010 by Miltenovik Manojlo
http://www.memht.com
	
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your opinion) any later version.
	
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
	
You should have received a copy of the GNU General Public License along
with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
or write to the Free Software Foundation, Inc., 51 Franklin Street,
Fifth Floor, Boston, MA02110-1301, USA.
========================================================================
[New] = New Feature
[Fix] = Fixed
[Mod] = Modified
[Del] = Deleted/Deprecated

========================================================================
4.0.2						    Released: 2010.11.27
------------------------------------------------------------------------
- [Fix] Several minor security fixes
- [Fix] PHP 5.3 Compatibility fixes

========================================================================
4.0.1 [SVN r277]				    Released: 2008.11.06
------------------------------------------------------------------------
- [New] Multilanguage content (articles, blog posts, guides and news)
- [New] Advanced permissions engine with 5 levels:
	0 = Guest
	1 = Normal user
	2 = Power user (normal user + permission to access admin pages)
	3 = Admin (power user + privs in the site front-edit)
	4 = Superadmin (full power)
- [New] Outbox page in Private Messages
- [New] Language support in admin menu
- [New] Tags, Social bookmarking and Content head classes
- [New] Some new block
- [New] Easy popup user finder
- [New] Groups in forum moderation
- [New] Customizlable site offline message
- [New] Quote button in PvtMsg
- [New] Email configuration in admin
- [Fix] Admin submission page (blog)
- [Fix] Small style and core fixes
- [Mod] Hook system, enhanced function declaration
- [Mod] Newsletter engine rewritten
- [Mod] Enhanced groups engine
- [Mod] Content pages layout
- [Mod] Enhanced topics page
- [Mod] Several core and layout changes
- [Mod] Admin pages renamed into addons
- [Mod] Spaces and special characters can be used now in usernames and
	passwords. Exceptions: <>'"`%$\/#,
- [Mod] Usernames can be changed in the admin cp. Use this modification
	with moderation because the author of forum posts, news and
	other contents, will not be updated with the new username
- [Del] admin/pages/pages/
- [Del] admin/inc/inc_login.php

========================================================================
4.0.0 [SVN r216]				    Released: 2008.09.29
------------------------------------------------------------------------
- [New] Hook system. More info: http://memht.com/wiki/Hooks
- [New] MemHT.com Bulletin in admin
- [New] Google Chrome browser support in statistics
- [New] Tags in forum
- [New] Previous 5 posts in forum reply screen
- [Fix] IMPORTANT: Statistics SQL injection bug
- [Fix] Automatic re-ban engine fix
- [Fix] Captcha file, variable not declared
- [Fix] Admin privs configuration
- [Fix] Blog links
- [Fix] Hidden submission link
- [Fix] Tags engine
- [Fix] Welcome pm and newsletter subscription on user activation
- [Fix] Minor bugs
- [Mod] When creating new administrators, privs are set to Superadmin
	(Untill now, new admins had no privs after their creation)
- [Mod] addslashes() replaced with mysql_real_escape_string() [TEST]
- [Mod] More special chars in url cleaner
- [Mod] Search page supports now GET query searching
	http://www.example.com/index.php?page=search&query=XXX
- [Mod] Error page
- [Mod] Arabic language update (Ajax part)
- [Mod] Temporary disabled all generated file logs
- [Mod] Installer chmod rights
- [Mod] Russian language updated
- [Mod] Cleaned mod-rewrite from old urls
- [Mod] Database dump optimization
- [Mod] User contributes bars
- [Mod] Minor code changes
- [Del] Mosaic news support (never used)

========================================================================
3.9.0 [SVN r150]				    Released: 2008.07.17
------------------------------------------------------------------------
- [New] File upload option in downloads. IssueID:8
- [New] File rating in downloads
- [New] Smiles popup window
- [New] Comments on/off in content pages
- [New] Ajax rating class
- [New] User rating system
	Elements that increase rating:
	- Forum posts (1 point)
	- Comments (2 points)
	- Content rating (2 points)
	- Content submission (5 points)
- [New] Multiple content submission page
	- Articles
	- Blog
	- Download
	- Gallery
	- Guide
	- MyLinks
	- News
- [New] Thread starter posts can be deleted from the standard delete
	button too, by moderators (the entire thread will be deleted)
- [New] Show/hide email in user profile
- [New] Welcome Private Message editor.
	Note: If the welcome message text is empty, it will not be sent
- [New] Safe installer file
- [New] Ukraine language (Thanks to Gerontos)
- [Fix] Rating redirect url in blog
- [Fix] URL regex in the validate() function
- [Fix] Delete data when deleting customized user profile fields
- [Fix] Move thread lastchild fix, the shadow redirection thread will
	be no more created
- [Fix] Custom user profile edit in admin
- [Fix] Minor bugs
- [Mod] Hide links in navigator when rank<required rank. IssueID:18
- [Mod] Enhanced error and information messages
- [Mod] Moved some admin page links in their correct categories
- [Mod] Smiles box wrap
- [Mod] Minor code changes
- [Del] pages/sendfile
- [Del] pages/sendnews

========================================================================
3.8.5 [SVN r103]				    Released: 2008.06.23
------------------------------------------------------------------------
- [New] Installer. Set correct RewriteBase path. IssueID:6
- [New] Added multiple recipient to private messages. IssueID:3
- [New] Sticky blocks with different (highlighted) styles. IssueID:19
	Highlighted modes (in templates) are indicated with the
	{$value.flag} variable:
	flag = 0; Standard style block (default)
	flag = 1; Highlighted mode style
	flag = 2; Highlighted mode style 2
	You can set higher flag numbers for templates that support more
	block highlight styles. Example: 3,4,5,6...
	Note: Obviously old templates will not highlight blocks untill
	they are updated
	Check documentation for more info:
	http://memht.com/wiki/How_to_install_new_Templates
- [New] Customizable users profile structure. IssueID:17
- [New] Enhanced user search page in admin > users. IssueID:16
- [Fix] Author in forums thread list
- [Fix] HTML content direction in header
- [Fix] Alt tags in images
- [Fix] Dutch, French, German and Vietnamese languages update
- [Fix] Configuration initialization
- [Fix] Minor bugs
- [Mod] Buttons instead of dropdown menu in Admin > Database
- [Mod] Added default category thumbnail in gallery, when no one is
	uploaded. IssueID:20
- [Mod] Minor code changes

========================================================================
3.8.1 [SVN r35]					    Released: 2008.05.31
------------------------------------------------------------------------
- [New] Enhanced Virtual Addons engine. Now it's XML based (instead of
	txt). The XML installer file is universal and in the future will
	be usable to install other components too (blocks for example)
	The same file can be used to update the installed component,
	locally or in remote (url indicated in the "updatefrom" field)
	Check: http://memht.com/wiki/Virtual_Addons
- [Fix] HTML code cleaned
- [Fix] Email headers charset fix

========================================================================
3.8.0 [SVN r30]					    Released: 2008.05.29
------------------------------------------------------------------------
- [New] Cleaned mod-rewrite (special chars in urls are now cleaned)
	All "old style" links are still full compatible
	Customized language chars can be declared in language files
	Example:
		Pattern (preg_replace form)
		$langdata['url_pat'] = array('`ö`is','`ç`is');
		Replace
		$langdata['url_rep'] =  array('oe','c');
- [Fix] Virtual addons update engine and script edit page
- [Mod] Charset fix tables for ajax, declared in language files.
	Example:
		Pattern (str_replace form)
		$langdata['char_pat'] = array('%u0410','%u0430');
		Replace
		$langdata['char_rep'] =  array(&#1040;','&#1072;');

========================================================================
3.8.0 RC2					    Released: 2008.05.28
------------------------------------------------------------------------
- [New] Virtual addons/pages
	Now virtual addons can be created. The engine supports PHP code
	only and it's disabled by default for security reasons.
	Admin > Configuration to enable it.
	Installed scripts can be updated automatically without touching
	any file (if there are new versions and if the remote
	file content address is not empty obviously)
	Note: The version must be a pure number: 123 OK, 1.23 NO!
- [New] jQuery JavaScript library installed (v1.2.3)
	Included plugins:
	  - UI DatePicker 3.4.3
	  - Impromptu 1.5 (used for PM alerts)
	  - Lightbox 0.5 (used in gallery)
- [New] Several graphic/animation enhancements
- [New] Ajax based comments class
- [New] Indonesian language (Thanks to orenji)
- [New] Hebrew language (Thanks to Andrey Boukaty)
- [New] Old statistics data cleaner. It should not affect relevant infos
- [New] New table css style class declared in block_forum_main,
	block_download_main_new and block_download_main_top.
	Default rules are in inc/inc_style.css
	New customized rules should be declared in the template style
	Check: http://memht.com/wiki/Default_template_style
- [Fix] FCKeditor filemanager path
- [Fix] Deleting post minor bug
- [Fix] Minor bugs
- [Mod] Administration control panel rewritten
- [Mod] MessageBox code rewritten
- [Mod] Newsletter engine rewritten
- [Mod] Minor code changes
- [Del] inc/javascript/calendar
- [Del] inc/javascript/jswin
- [Del] inc/javascript/gallery
- [Del] inc/ajax/messagebox_read.php
- [Del] inc/ajax/messagebox_write.php
- [Del] pages/gallery/head.php
- [Del] admin/images/admin_*.png
- [Del] admin/images/tpl/button_*.gif
- [Del] admin/images/tpl/logo.gif
- [Del] admin/images/tpl/bar.gif
- [Del] admin/images/tpl/bg_bar_spacer.gif
- [Del] admin/images/tpl/top.gif 

========================================================================
3.7.5						    Released: 2008.03.29
------------------------------------------------------------------------
- [New] Forum threads ordered by last posts
- [New] Optional custom header support: root/inc/inc_header_custom.php
	It's always included when exists
- [New] Customizable dnsLink() function that print the ip dns check url
- [New] When opening pages, the engine will try to open and include in
	the site header, a file named head.php witin the addons folder
	(pages/name/head.php).
	It permit to use functions that must be placed in the site head
- [New] Automatic image resizer in BBCode (limit=400x300px)
- [New] Prohibited email domains list used in the validEmail() function
	Customizable from admin > users
- [New] Galego language (Thanks to Abel Dueñas and Emilio Mesias)
- [New] Generic file uploading has been enabled in FCKeditor
- [New] Current language charset in the external sitemap
- [Fix] New forum posts highlighting script
- [Fix] "Ghost" new messages and access denied fix
- [Fix] Number of feeds to be acquired in the aggregator
- [Fix] Dutch language fix
- [Fix] Code and style fixes (w3c invalid tags)
- [Fix] Minor bugs
- [Mod] Code optimization (script execution speed,number of queries etc)
- [Mod] block_online.php file rewrited
	Note: The ip address in "memht_online" is now stored with the
	number format created by the ip2num() function
- [Mod] Archive blocks will now show the full history,not only last year
- [Mod] Installer update
- [Mod] Spider ranges configuration moved into the statistics page
- [Mod] Minor code changes
- [Del] pages/users/inc_checkUser.php

========================================================================
3.7.0						    Released: 2008.02.23
------------------------------------------------------------------------
- [New] Subforums (1 level) Note: Moderators in the main category will
	be moderators in subforums too
- [New] Pagination system (root/inc/class/paginationSystem.class.php)
- [New] The MyLinks page has been completelly rewritten, an advanced
	support for categories has been added, a rating system etc,
	something similar to a web directory
- [New] Automatic bot detector in the security tracking page.
	The detected bots will be highlighted with a yellow color
- [New] Private messages selectors (Thanks to paulo89 for the help)
- [New] Automatic HTML syntax cleaner: The MemHT Portal CORE should be
	now at 90% HTML 4.01 Transitional Valid
- [New] Ip2Country ranges (Thanks to JPappi for the help)
- [Fix] Missing Mod-Rewrite rules
- [Fix] Pagination links in gallery
- [Fix] MemHT template footer
- [Fix] French and german languages
- [Mod] The category management in downloads has been enhanced, now
	files can be added in principal categories too
- [Mod] Randomized tags order
- [Mod] block_linkstyle,small,info style rule ids have been changed into
	classes to avoid HTML validation errors
	small and info classes will be automatically declared into the
	site header to maintain the retrocompatibility with old versions
- [Mod] The unique visitors counter has been enhanced, now should be
	more reliable. It's based on cookies now (and do not counts
	visitors with disabled cookies, usually bots)
	Note: The previous counter code used to accept a lot of bots
	as unique visitors, so expect to have lower numbers in your
	statistics starting from this version. It has been tested and
	showed almost identical results to google adsense
- [Mod] Code optimization and security enhancement
- [Mod] Minor code changes (Thanks to claudioweb)
- [Del] Ip2Country database has been cleaned (a lot of wrong ranges)

========================================================================
3.6.5						    Released: 2008.01.27
------------------------------------------------------------------------
- [New] Template engine (RainTPL). It uses pure html files, very easy to
	use. Obviously old templates are no more compatible. See online
	documents for more informations
- [New] New memht default template
- [New] Ajax username validator in the registration form
- [New] Ajax MessageBox
- [New] Support for new (optional) css class used to define the	<td>
	table elements style in blocks as download_main and forum_main
	and html [code] tag
	- std_data_table_td
	- std_code
- [Fix] Russian and Serbian languages
- [Mod] A lot of code changes because of the new template engine,several
	optimizations
- [Mod] Modified the default page structure, see online documents for
	more informations
- [Mod] Small mod in the .htaccess
- [Del] inc/javascript/autocomplete/
- [Del] templates/XXX/template.php
- [Del] All variables and functions declared in template.php files, are
	no more	used
- [Del] Blue, Classic, Peach and Silver templates are no more included
	in the package (old versions are no more compatible)

========================================================================
3.6.0						    Released: 2008.01.10
------------------------------------------------------------------------
- [New] New installer and universal updater
- [New] Blog addon (+ blocks)
- [New] Blog feeds in rss (rss.php?page=blog, rss.php?page=blog&cat=N)
- [New] MyBlog template
- [New] Title based forum links (The script is retro compatible with
	the old type)
- [New] New mor-rewrite links
	The old rules haven't been deleted, this means that the script
	is retro compatible, you'll not lose backlinks or traffic
- [New] New administration homepage
- [New] Source code tag added in html textareas: Now you can use
	[code]...[/code] in articles, guides, news etc.
- [New] Backend file (backend.php) in the site root, with redirect to
	rss.php (Some feed fetchers like google seems to use it)
- [New] mem_ftp_mkdir() function, it create new folders though the ftp
	connection
	Usage: memht_ftp_mkdir(string $path,string $dir [,int $mode])
	Note: $mode in dec format (NO HEX), example 777 instead of 0777
- [New] The login script will redirect to the page where the login was
	asked
- [Fix] Style and security fix in forums
- [Fix] CronJobs file, the maintenance class has been copied in the
	cron.php file because of some problem with the original one
- [Fix] Other minor bugs
- [Mod] FCKeditor engine updated to 2.5.1
	Note: The editor has been modified because of security reasons
	and some bugs have been corrected
- [Mod] The FCKeditor file browser has been enabled by default and
	will be accessible only by administrators
	The upload folder is: root/uploads/
	Note: Only images, flash and media files are accepted
- [Mod] mem_chmod() function renamed into mem_ftp_chmod(), it uses only
	the ftp connection only
	Usage: memht_ftp_chmod(string $file, int $mode)
	Note: $mode in dec format (NO HEX), example 777 instead of 0777
- [Mod] Because of the new mod-rewrite, slashes "/" will be replaced
	with "-" in titles when adding new articles,downloads,news etc
- [Mod] Other minor script and layout changes
- [Del] root/inc/inc_version.php file deprecated

========================================================================
3.5.0						    Released: 2007.12.23
------------------------------------------------------------------------
- [New] Aggregator: Insert (automatically) new articles, guides and
	news in the site,retrieving the content from external rss feeds
- [New] Cronjob file: root/cron.php; When the cronjob file is enabled
	(in the site configuration), the maintenance class will be
	executed by the cron.php file only.
	Attention: It's not recommended to use periods lower than 10
	minutes, it would be useless and could overload the server
- [New] New rate system:
	- It uses the captcha if enabled
	- New rating images, separated for the "low" and "high" state
	Example: Rating of 4/5 = 4 high and 1 low state images, simple
- [New] New comment system:
	- It uses the captcha if enabled
	- Can be disabled in the whole site
	- Messages can be moderated by administrators (always or in
	case of urls and spam words in the text)
- [New] New archive page
- [New] Search engine hits in statistics graph
- [New] mem_chmod(string filepath,int mode) function. The upload class
	now uses it to chmod files and folders when they are unwritable
- [New] Added the base html tag declaration in the header because of
	some relative path issue
- [Fix] Tags and comments are now deleted successfully when deleting
	content
- [Fix] Small fix in the statistics page in administration
- [Fix] Minor bugs
- [Mod] Articles, Downloads, Guides and News pages have been restyled
- [Mod] Minor layout changes
- [Mod] The infobar has been restyled
- [Del] template_news_list() is now deprecated, the complete news view
	is now used

========================================================================
3.4.5						    Released: 2007.12.03
------------------------------------------------------------------------
- [New] Support for new (optional) functions in the template system:
	- template_block_central() used to show central blocks
	- template_block_extra() used to show blocks in the extra side
	- template_block_end_extra() used to show the end code of the
	extra side
- [New] Support for new (optional) css class used to define the	table
	style in blocks as download_main and forum_main
	- std_data_table
- [New] New ip2config ranges (Thanks to JPappi)
- [Fix] Small fix in the statistics page in administration
- [Fix] Language fixes
- [Mod] Gallery js libraries will be opened only in the gallery page
	because of their big filesize (this means lighter pages).
	The random block will redirect to the gallery instead of
	opening images.
- [Mod] Engine optimization
- [Mod] Minor layout changes
- [Del] root/inc/javascript/bbcode.js
	root/inc/javascript/boxover.js
	root/inc/javascript/resizetext.js
	The content has been moved in root/inc/javascript/javascript.js
- [Del] $templateData['background_color'] and
	$templateData['background_color3'] template variable entries
	are now deprecated

========================================================================
3.4.0						    Released: 2007.11.15
------------------------------------------------------------------------
Starting from the version 3.4, MemHT Portal will be released under the
                          GNU/GPL License

- [New] Arabic, Bulgarian, Danish, Dutch, Hungarian, Russian languages
- [New] User registration options are now customizable:
	- Users can register with or without the email activation
	- Registrations can be moderated (This means that every
	registration will need to be approved by the administrator)
- [New] The download page supports now infinite number of categories
	and subcategories without problems + mosaic files structure
- [New] Complete tag list in the tag page home
- [New] Public, Registered users and Group download restrictions
- [New] Dinamic RSS syndication system
- [New] New statistics system
- [New] New faq structure
- [Fix] Security fixes
- [Fix] Argument id in SendNews page
- [Mod] The navigator control page has now his own page in admin
- [Mod] RSS page structure
- [Mod] Sitemap has been updated
- [Mod] Minor layout changes

========================================================================
3.3.0						    Released: 2007.10.23
------------------------------------------------------------------------
- [New] Serbian language / Srpski jezik
	(Thanks to http://intersindikat.hyperphp.com)
- [New] New advanced survey system (with comments feature too)
- [New] Spiders are now highlighted in the security iptrack list
- [New] Pages support now their own metatags: keywords and description
- [New] Pages FullScreen feature enhanced. No has 3 states:
	Standard, Half screen, Full screen
	/!\ Templates not supporting this feature should be corrected
	$fullScreen = 0: Standard (Navigator + Extra blocks)
	$fullScreen = 1: Half screen (Navigator)
	$fullScreen = 2: Full screen (No blocks)
- [New] Optional mosaic news structure in home
- [New] Search engine spiders can be now ignored in statistics
- [New] Search engine friendly site titles
- [New] New page path definitions
- [New] Tags and social bookmarking in downloads
- [New] Added new social bookmarking icons in articles, guides, news
	and downloads
- [New] RSS syndication block
- [New] Download rss syndication
- [New] New MyPage system: Public/Private pages (Public pages are
	listed in the MyPage index), Rank based access, Block
- [New] Direct opening of files blocked
- [New] Text direction in language files
- [New] RSS feeds in the users page
- [New] RSS Reader block
- [Fix] Small style fix in downloads
- [Fix] All pages had been added with rank=0 (guest)
- [Fix] Gallery modrewrite url fix in .htaccess
- [Fix] French language (Thanks to Cyril Levert)
- [Mod] RSS syndication charset set to UTF-8
- [Mod] The sitemap will show pages only to visitors with the required
	rank by the page itself
- [Mod] Text links in downloads
- [Mod] Sitemaps links has been updated
- [Mod] ModRewrited links in RSS syndication files
- [Mod] Gallery attachment links are no more pointing to the gallery
	files folder only

========================================================================
3.2.0						    Released: 2007.09.22
------------------------------------------------------------------------
- [New] Swedish language (Thanks to Hans Gustavsson)
- [New] Persian language (Thanks to Behnam Beheshti)
- [New] Bosnian language (Thanks to Radio-Pod)
- [New] Vietnamese language (30%) (Thanks to Nguyen Van Nghiem,
	Binh Phuoc, VietNam)
- [New] showPath() function. Shows the path to the opened page or
	document. Use it in templates just placing echo showPath();
	Paths are stored in the pages/pagename/path.php files
- [New] Timezone support
- [New] Forum: Customizable users title with min and max posts number
- [New] Private messages and forum email notification on new messages
	and replyes
- [New] Several minor features
- [Fix] Spanish language (Thanks to Pyxonix)
- [Fix] French language (Thanks to Smoos Cédric)
- [Fix] Tags page: Articles wasn't showed
- [Fix] RSS Page, will count only actived articles, guides and news
- [Fix] Characters compatibility fixes
- [Fix] FCKeditor configuration fix
- [Fix] Small login security fix
- [Fix] Minor bugs
- [Mod] The captcha code has been rewrited. It now uses sessions
	instead of cookies.
- [Mod] Moved some configuration variables from the configuration file
	to the configuration page in the administration
- [Mod] The language charset is now definied into the language file
	with the _LANG_CHARSET_ constant
- [Mod] All inc/inc_header_common.php file contents has been moved in
	the inc/inc_header.php file (the header file is no more shared
	with the administration area)
- [Mod] All javascript declarations from inc/inc_header_common.php has
	been moved into a new file inc/inc_javascript.php
- [Mod] Other small changes
- [Del] $siteConfig['graphic_check'],$siteConfig['textarea_editor'],
	$siteConfig['modrewrite'] from inc_config.php
- [Del] inc/inc_header_common.php

========================================================================
3.1.0						    Released: 2007.08.04
------------------------------------------------------------------------
- [New] Archive system for articles, guides and news
- [New] Maintenance configuration in admin/config
- [Fix] Gallery fixes (now deleting categories, images within will be
	deleted too)
- [Fix] Small Newsletter fix
- [Fix] Forum security fix
- [Mod] Modified default manteinance timings (customizable)
- [Mod] Security code is no more asked in login pages (useless because
	of the limit of login attempts)
- [Mod] The domain detection is now based on the iptocountry database
	because of the very low speed of getHostByAddr() php function
- [Mod] Script optimization and speeding
- [Mod] Minor layout changes as comments etc
- [Mod] Small changes in templates
- [Del] root/admin/images/menu

========================================================================
3.0.0						    Released: 2007.07.16
------------------------------------------------------------------------
- [New] Installer 2.0
- [New] Rewrited htaccess with included modrewrite code
- [New] Autocomplete usernames with ajax in pvtmsg (Thanks to paulo89)
- [New] Spanish language (Thanks to Pixonix)
- [New] Information bar in the site top (see configuration - general)
	- For guests with the login and register links
	- For admins when the site is closed
- [New] Several minor features
- [Fix] BBCode engine
- [Fix] Data decode fix
- [Fix] Gallery image description
- [Fix] Users: Ip address was not inserted into the newsletter table
	at the account activation process
- [Fix] Newsletter engine
- [Fix] Several minor and language bugs fixed
- [Mod] BBCode available only in forum, pvtmsg, comments
- [Mod] Heavy code restyling (speed optimization)
- [Mod] Admin section restyled
- [Mod] Statistics
- [Del] Function template_header_admin(), template_footer_admin() and
	admin_page() from template.php are deprecated
- [Del] admin/inc/inc_main_nav.php
- [Del] admin/pages/newsletter/class.phpmailer.php
- [Del] admin/pages/newsletter/class.smtp.php

========================================================================
2.9.0						    Released: 2007.06.19
------------------------------------------------------------------------
- [New] Advanced search engine
	See also:
	http://dev.mysql.com/doc/refman/5.0/en/fulltext-boolean.html
- [New] IpToCountry database and feature added
- [New] Articles, Guides and News social bookmarking icons in pages
- [New] Tag system for articles, guides and news
- [New] SiteMap compatible with Google, Yahoo, MSN, Ask etc.
	http://www.memht.com/sitemap.php
- [New] Forum: Quick Reply box
- [New] Forum: Moderators can move posts; Delete button was placed
	on the thread body (usable by post authors and moderators)
- [New] Gallery: Import ZIP archive files containing images to add
	into the gallery. Thumbnails must be included (file_thumb.xxx)
	/!\ Max. archive size: 1mb
- [New] Print page in articles, guides and news
- [New] Smiles management
- [New] Javascript text resize function: resizeText('body',1) or -1
- [Fix] Mod Rewrite will not decode anymore external site urls
	/!\ Be sure to set correctly the site url in configuration
- [Fix] PHP5 foreign chars fix in the tags stripping function
- [Fix] Forum: Page refresh on edit
- [Fix] MyPage: Encoding and Decoding title url
- [Fix] Minor bugs fixed
- [Mod] Speeding scripts
- [Mod] Database connection conversion completed
- [Mod] Graphic check control (case Insensitive now)
- [Mod] Articles, Guides and News title links support:
	index.php?page=news&op=readNews&title=Encoded+title
	and in the mod rewrite version:
	news-w-Encoded+title.html
	/!\ Change all news links in template.php
- [Mod] Security and spider ip address management (numeric format)
- [Mod] Site Url ending slash in config. is now automatically deleted
- [Mod] Lightbox gallery engine updated: 2.03.3
- [Mod] FCKeditor engine updated: 2.4.3
- [Mod] Minor script changes in statistics
- [Mod] Minor layout changes
- [Del] imgCodeBlock.php deprecated
- [Del] imgCodeBlockUser.php deprecated
- [Del] imgCodePage.php deprecated
- [Del] images/boxtitle.gif
- [Del] Function "template_news_preview" in template.php deprecated

========================================================================
2.5.0						    Released: 2007.05.20
------------------------------------------------------------------------
- [New] Database connection engine (in the future will be able to
	support other databases as access,mssql,oracle,postgres etc)
- [New] Groups
- [New] Backup database in administration
- [New] Attachments in forum
	- 500Kb limit
	- Customizable folder name (do not forget to change the
	phisical folder name when changing it in the site config)
- [New] 3 Templates: Simple Red, Simple Blue, Simple Grey
- [New] Rank in messages
- [New] File upload class (avatars,gallery,imageup etc)
- [New] Demolink and version fields in download
- [New] New posts text highlighted in main forum block
- [New] Medium load time in statistics
- [New] Template style class (configuration page tabled navigation)
	- tpl_slideBox
	- tpl_slideBox_item
- [Fix] Data filtering and decoding
- [Fix] Several minor bugs
- [Mod] Speeding scripts
- [Mod] Improved graphic check control
- [Mod] Gallery code rewrited
- [Mod] Users avatar upload code rewrited
- [Mod] Article author: Can be specified (leave empty for the default
	value: administrator)
- [Mod] Page layout mods
- [Mod] New site configuration page, layout and fields
- [Del] forum_post_edited class in forum.css style

========================================================================
2.0.0						    Released: 2007.04.19
------------------------------------------------------------------------
- [New] Default page in home
- [New] New administration system, privs customizable for every single
	admin
- [New] Ajax popup on new private messages
- [New] Rank required to access pages customizable
- [New] Highlight posted code (BBCode)
- [New] FCKeditor text editor
- [New] Failed login attempts limiter (5 attempts every 15 minutes)
- [New] Delete automatically 30 day old private messages
- [New] Banner's position management (To add new position, create it
	in the admin section and use "showBanner(N);" in the PHP page
	where N is the banner position. Attention: Positions 1-6 are
	already definied by default in the site code.
- [New] Turkish language (95%)
- [New] Block: Template selector
- [New] Block: Statistics
- [New] 16x16 Gif animated favicon support (Not supported by IE)
	path: template/tplname/images/favicon_ani.gif
- [Fix] BBCode: Code and data decoding fix
- [Fix] Admin: Users, editing avatar (permissions and file size check)
- [Fix] Several minor bugs
- [Mod] Rank required to access blocks
- [Mod] Speeding up some scripts and tables
- [Mod] Rewrited the time management in all scripts and database
- [Mod] Improved graphic check control (ATTENTION: Case sensitive now)
- [Mod] Users: Username check in "waiting to activate" account control 
	during the registration
- [Mod] Security admin page
- [Mod] BBCOde: Automatic url conversion
- [Mod] Several graphic/layout changes
- [Del] inc/inc_decodedata.php
- [Del] TinyMCE: inc/tinymce
- [Del] images/mini_tinymce.gif
- [Del] inc/javascript/form_input_conf.js
	inc/javascript/form_input_conf_calendar.js
	admin/pages/security/javascript
- [Del] function printDate(); deprecated
- [Del] function adminRank(); deprecated
- [Del] function qntminutes(); deprecated
- [Del] function initializeTextArea(); deprecated

========================================================================
1.5.0 						    Released: 2007.04.04
------------------------------------------------------------------------
- [New] Gallery
- [New] Mod rewrite support
- [New] SendFile
- [New] Admin: Staff can send emails to registered users
- [New] PDF in articles, guides and news
- [New] Blocks: New and top downloads main/lateral
- [New] Block: Users
- [New] Poisoner page (Poison harversters with fake emails)
- [New] Template: Light
- [New] Articles,Download,Guides,Forum and News items in site title
- [New] Comments in downloads
- [New] Customizable navigator block
- [New] Table color definition in templates
- [Fix] Download
- [Fix] WYSIWYG TextEditor (Configuration)
- [Fix] Templates: Silver, Peach (Fullscreen feature support)
- [Fix] Admin: Blocks (Editing blocks and layout)
- [Fix] Admin: Banners
- [Fix] Admin: Security (Find IP function)
- [Fix] PHP5 compatibility fixes
- [Fix] Other minor bugs
- [Mod] Comments layout
- [Mod] Faq (Faq anchor links at the top of pages)
- [Mod] MyPage: Now pages can be called with:
	index.php?page=mypage&title=This_is_my_page
- [Mod] Users: Welcome PM on registration
- [Mod] Censure
- [Mod] Users can upload avatars from their user profile
- [Mod] Blocks: Now title can be hided (template update required)
- [Mod] Users: Optional newsletter subscribing on user registration
- [Mod] Statistics
- [Del] root/images/hidden.gif

========================================================================
1.0.0 						    Released: 2007.02.08
------------------------------------------------------------------------